package com.engine.organization.entity.staff.po;

import com.engine.organization.transmethod.*;
import lombok.Data;
import org.apache.commons.lang.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2023/03/13
 * @version: 1.0
 */
@Data
public class StaffExportPO {

    /**
     * 方案id
     */
    private String planId;
    /**
     * 分部
     */
    private String compId;
    /**
     * 部门
     */
    private String deptId;
    /**
     * 岗位
     */
    private String jobId;
    /**
     * 编制数
     */
    private Integer staffNum;
    /**
     * 在编
     */
    private Integer permanentNum;
    /**
     * 冻结数
     */
    private Integer freezeNum;
    /**
     * 缺编状态
     */
    private String lackStatus;
    /**
     * 编制描述
     */
    private String staffDesc;


    public String getPlanId() {
        return StringUtils.isBlank(planId) ? "" : StaffPlanTransMethod.getSpanById(planId);
    }

    public String getCompId() {
        return StringUtils.isBlank(compId) ? "" : CompTransMethod.getSpanById(compId);
    }

    public String getDeptId() {
        return StringUtils.isBlank(deptId) ? "" : DepartmentTransMethod.getSpanById(deptId);
    }

    public String getJobId() {
        return StringUtils.isBlank(jobId) ? "" : JobTransMethod.getSpanById(jobId);
    }

    public Integer getStaffNum() {
        return staffNum;
    }

    public Integer getPermanentNum() {
        return permanentNum;
    }

    public Integer getFreezeNum() {
        return freezeNum;
    }

    public String getLackStatus() {
        return StringUtils.isBlank(lackStatus) ? "" : StaffTransMethod.getLackSpan(lackStatus);
    }

    public String getStaffDesc() {

        return StringUtils.isBlank(staffDesc) ? "" : staffDesc;
    }
}
